Skip to content

GET Monitor History.

GET
/api/observability/synthetic_monitor/namespaces/{namespace}/monitor-history
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/monitor-history \
--header 'Authorization: <Authorization>'

Returns the healthy and critical statuses for the specified monitor.

Examples of this operation.

namespace
required
string

Namespace Request namespace.

monitor_type
string

Monitor_type. X-required Monitor type.

start_time
string

Start_time. X-required Start time for requested history.

end_time
string

End_time. End time for requested history (default: current time)

step_size
string

Step_size. Step size for time series aggregation.

monitor_name
string

Monitor_name. X-required Monitor name.

A successful response.

Media typeapplication/json
GetMonitorHistoryResponse

Health history data for monitor by region.

object
histories
histories

: { “segment”: [ { “start_time”: “2023-01-10T18:00:00Z”, “end_time”: “2023-01-14T18:00:00Z”, “health”: “Healthy”, “health_reason”: “HTTP(s) Monitor was 4.0 day(s) in Healthy state” }, { “start_time”: “2023-01-14T18:00:00Z”, “end_time”: “2023-01-15T00:00:00Z”, “health”: “Critical”, “health_reason”: “HTTP(s) Monitor was 6.0 hour(s) in Critical state” }, … ], “source”: “Global”, “provider”: "" } A list of the monitor history event segments.

Array<object>
GetMonitorHistories

Monitor health history by region.

object
provider
provider

Region provider.

string
>= 3 characters <= 1024 characters
segments
segments

{ “start_time”: “2021-02-07T23:32:07Z”, “end_time”: “2021-02-25T16:00:00Z”, “health”: “Critical”, “health_reason”: “HTTP(s) Monitor was 17.7 day(s) in critical state” }, { “start_time”: “2021-02-25T16:00:00Z”, “end_time”: “2021-07-10T08:00:00Z”, “health”: “Healthy”, “health_reason”: “HTTP(s) Monitor was 11.2 day(s) in Healthy state” }, … ] List of monitor history health segments.

Array<object>
object
end_time
end_time

End time of requested history segment (default: current time)

string
<= 1024 characters
health
health

Monitor health.

string
<= 1024 characters
health_reason
health_reason

Description of health status.

string
<= 1024 characters
start_time
start_time

Start time of requested history segment.

string
<= 1024 characters
source
source

Region

string
<= 1024 characters
Examplegenerated
{
"histories": [
{
"provider": "example",
"segments": [
{
"end_time": "example",
"health": "example",
"health_reason": "example",
"start_time": "example"
}
],
"source": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example